/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 运维系统
 * 创建日期:2023/9/13
 */
package org.springblade.modules.map.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.map.entity.MapRegionEntity;
import org.springblade.modules.map.vo.MapRegionVO;

import java.util.Objects;

/***
 * Date:2023/9/13
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class MapRegionWrapper extends BaseEntityWrapper<MapRegionEntity, MapRegionVO> {
	public static MapRegionWrapper build() {
		return new MapRegionWrapper();
	}



	@Override
	public MapRegionVO entityVO(MapRegionEntity entity) {
		MapRegionVO vo = Objects.requireNonNull(BeanUtil.copy(entity, MapRegionVO.class));
		return this.entityVO(vo);
	}

	public MapRegionVO entityVO(MapRegionVO vo) {

		return vo;
	}
}
